<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:2a17abfd-895e-4167-a86d-7d9f690e3e6d,g:142660f5-4bfe-49ca-aab2-79ea8f2c7844-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_ifrs-full_OtherComprehensiveIncomeNetOfTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability_00d340dc-51b1-456b-8c2d-e890f00ea8a2_totalLabel_en" xlink:label="lab_ifrs-full_OtherComprehensiveIncomeNetOfTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other comprehensive income, net of tax, change in fair value of financial liability attributable to change in credit risk of liability</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability" xlink:to="lab_ifrs-full_OtherComprehensiveIncomeNetOfTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_InterestRevenueExpense_fb3d28bc-dd48-42d6-98db-805e3ba2c78c_totalLabel_en" xlink:label="lab_ifrs-full_InterestRevenueExpense" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Interest income (expense)</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestRevenueExpense" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestRevenueExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestRevenueExpense" xlink:to="lab_ifrs-full_InterestRevenueExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_san_AggregateOperatingCreditImpairmentChargesWriteBacksProvisionsAndCharges_3f0acedc-9312-4f1e-85ff-0d4b36cb6d1a_totalLabel_en" xlink:label="lab_san_AggregateOperatingCreditImpairmentChargesWriteBacksProvisionsAndCharges" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Aggregate Operating Credit Impairment Losses, Provisions And Charges</link:label>
    <link:label id="lab_san_AggregateOperatingCreditImpairmentChargesWriteBacksProvisionsAndCharges_label_en" xlink:label="lab_san_AggregateOperatingCreditImpairmentChargesWriteBacksProvisionsAndCharges" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Aggregate Operating Credit Impairment (Charges)/Write-Backs, Provisions And Charges</link:label>
    <link:label id="lab_san_AggregateOperatingCreditImpairmentChargesWriteBacksProvisionsAndCharges_documentation_en" xlink:label="lab_san_AggregateOperatingCreditImpairmentChargesWriteBacksProvisionsAndCharges" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Aggregate Operating Credit Impairment (Charges)/Write-Backs, Provisions And Charges</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_AggregateOperatingCreditImpairmentChargesWriteBacksProvisionsAndCharges" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_AggregateOperatingCreditImpairmentChargesWriteBacksProvisionsAndCharges"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_AggregateOperatingCreditImpairmentChargesWriteBacksProvisionsAndCharges" xlink:to="lab_san_AggregateOperatingCreditImpairmentChargesWriteBacksProvisionsAndCharges" xlink:type="arc" order="1"/>
    <link:label id="lab_san_AdjustmentsForDecreaseIncreaseInOperatingAssetsAndLiabilities_0f23404b-aa30-49da-aae5-8fd1a51c01f4_totalLabel_en" xlink:label="lab_san_AdjustmentsForDecreaseIncreaseInOperatingAssetsAndLiabilities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease (Increase) In Operating Assets And Liabilities</link:label>
    <link:label id="lab_san_AdjustmentsForDecreaseIncreaseInOperatingAssetsAndLiabilities_label_en" xlink:label="lab_san_AdjustmentsForDecreaseIncreaseInOperatingAssetsAndLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease (Increase) In Operating Assets And Liabilities</link:label>
    <link:label id="lab_san_AdjustmentsForDecreaseIncreaseInOperatingAssetsAndLiabilities_documentation_en" xlink:label="lab_san_AdjustmentsForDecreaseIncreaseInOperatingAssetsAndLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease (Increase) In Operating Assets And Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_AdjustmentsForDecreaseIncreaseInOperatingAssetsAndLiabilities" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_AdjustmentsForDecreaseIncreaseInOperatingAssetsAndLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_AdjustmentsForDecreaseIncreaseInOperatingAssetsAndLiabilities" xlink:to="lab_san_AdjustmentsForDecreaseIncreaseInOperatingAssetsAndLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_san_AdjustmentsForDecreaseIncreaseInCashAndBalancesAtCentralBanks_label_en" xlink:label="lab_san_AdjustmentsForDecreaseIncreaseInCashAndBalancesAtCentralBanks" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease (Increase) In Cash And Balances At Central Banks</link:label>
    <link:label id="lab_san_AdjustmentsForDecreaseIncreaseInCashAndBalancesAtCentralBanks_documentation_en" xlink:label="lab_san_AdjustmentsForDecreaseIncreaseInCashAndBalancesAtCentralBanks" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease (Increase) In Cash And Balances At Central Banks</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_AdjustmentsForDecreaseIncreaseInCashAndBalancesAtCentralBanks" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_AdjustmentsForDecreaseIncreaseInCashAndBalancesAtCentralBanks"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_AdjustmentsForDecreaseIncreaseInCashAndBalancesAtCentralBanks" xlink:to="lab_san_AdjustmentsForDecreaseIncreaseInCashAndBalancesAtCentralBanks" xlink:type="arc" order="1"/>
    <link:label id="lab_san_MacroHedgeOfInterestRateRiskLiability_label_en" xlink:label="lab_san_MacroHedgeOfInterestRateRiskLiability" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Macro Hedge Of Interest Rate Risk, Liability</link:label>
    <link:label id="lab_san_MacroHedgeOfInterestRateRiskLiability_documentation_en" xlink:label="lab_san_MacroHedgeOfInterestRateRiskLiability" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Macro Hedge Of Interest Rate Risk, Liability</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_MacroHedgeOfInterestRateRiskLiability" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_MacroHedgeOfInterestRateRiskLiability"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_MacroHedgeOfInterestRateRiskLiability" xlink:to="lab_san_MacroHedgeOfInterestRateRiskLiability" xlink:type="arc" order="1"/>
    <link:label id="lab_san_DividendsPaidOnPreferenceSharesAndOtherEquityInstrumentsClassifiedAsFinancingActivities_label_en" xlink:label="lab_san_DividendsPaidOnPreferenceSharesAndOtherEquityInstrumentsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Dividends Paid On Preference Shares And Other Equity Instruments Classified As Financing Activities</link:label>
    <link:label id="lab_san_DividendsPaidOnPreferenceSharesAndOtherEquityInstrumentsClassifiedAsFinancingActivities_documentation_en" xlink:label="lab_san_DividendsPaidOnPreferenceSharesAndOtherEquityInstrumentsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Dividends Paid On Preference Shares And Other Equity Instruments Classified As Financing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_DividendsPaidOnPreferenceSharesAndOtherEquityInstrumentsClassifiedAsFinancingActivities" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_DividendsPaidOnPreferenceSharesAndOtherEquityInstrumentsClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_DividendsPaidOnPreferenceSharesAndOtherEquityInstrumentsClassifiedAsFinancingActivities" xlink:to="lab_san_DividendsPaidOnPreferenceSharesAndOtherEquityInstrumentsClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_san_AdjustmentsForDecreaseIncreaseInOtherFinancialAssetsAtFairValueThroughProfitOrLoss_label_en" xlink:label="lab_san_AdjustmentsForDecreaseIncreaseInOtherFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease (Increase) In Other Financial Assets At Fair Value Through Profit Or Loss</link:label>
    <link:label id="lab_san_AdjustmentsForDecreaseIncreaseInOtherFinancialAssetsAtFairValueThroughProfitOrLoss_documentation_en" xlink:label="lab_san_AdjustmentsForDecreaseIncreaseInOtherFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease (Increase) In Other Financial Assets At Fair Value Through Profit Or Loss</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_AdjustmentsForDecreaseIncreaseInOtherFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_AdjustmentsForDecreaseIncreaseInOtherFinancialAssetsAtFairValueThroughProfitOrLoss"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_AdjustmentsForDecreaseIncreaseInOtherFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:to="lab_san_AdjustmentsForDecreaseIncreaseInOtherFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:type="arc" order="1"/>
    <link:label id="lab_san_DividendsRecognisedOnOrdinaryShares_label_en" xlink:label="lab_san_DividendsRecognisedOnOrdinaryShares" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Dividends Recognised On Ordinary Shares</link:label>
    <link:label id="lab_san_DividendsRecognisedOnOrdinaryShares_documentation_en" xlink:label="lab_san_DividendsRecognisedOnOrdinaryShares" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Dividends Recognised On Ordinary Shares</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_DividendsRecognisedOnOrdinaryShares" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_DividendsRecognisedOnOrdinaryShares"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_DividendsRecognisedOnOrdinaryShares" xlink:to="lab_san_DividendsRecognisedOnOrdinaryShares" xlink:type="arc" order="1"/>
    <link:label id="lab_san_AdjustmentsForIncreaseDecreaseInDebtSecuritiesInIssue_label_en" xlink:label="lab_san_AdjustmentsForIncreaseDecreaseInDebtSecuritiesInIssue" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Increase (Decrease) In Debt Securities In Issue</link:label>
    <link:label id="lab_san_AdjustmentsForIncreaseDecreaseInDebtSecuritiesInIssue_documentation_en" xlink:label="lab_san_AdjustmentsForIncreaseDecreaseInDebtSecuritiesInIssue" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Increase (Decrease) In Debt Securities In Issue</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_AdjustmentsForIncreaseDecreaseInDebtSecuritiesInIssue" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_AdjustmentsForIncreaseDecreaseInDebtSecuritiesInIssue"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_AdjustmentsForIncreaseDecreaseInDebtSecuritiesInIssue" xlink:to="lab_san_AdjustmentsForIncreaseDecreaseInDebtSecuritiesInIssue" xlink:type="arc" order="1"/>
    <link:label id="lab_san_OperatingExpensesBeforeCreditImpairmentChargesWriteBacksProvisionsAndCharges_label_en" xlink:label="lab_san_OperatingExpensesBeforeCreditImpairmentChargesWriteBacksProvisionsAndCharges" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Operating Expenses Before Credit Impairment (Charges)/Write-Backs, Provisions And Charges</link:label>
    <link:label id="lab_san_OperatingExpensesBeforeCreditImpairmentChargesWriteBacksProvisionsAndCharges_documentation_en" xlink:label="lab_san_OperatingExpensesBeforeCreditImpairmentChargesWriteBacksProvisionsAndCharges" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Operating Expenses Before Credit Impairment (Charges)/Write-Backs, Provisions And Charges</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_OperatingExpensesBeforeCreditImpairmentChargesWriteBacksProvisionsAndCharges" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_OperatingExpensesBeforeCreditImpairmentChargesWriteBacksProvisionsAndCharges"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_OperatingExpensesBeforeCreditImpairmentChargesWriteBacksProvisionsAndCharges" xlink:to="lab_san_OperatingExpensesBeforeCreditImpairmentChargesWriteBacksProvisionsAndCharges" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_d4b4043c-21a5-419f-b0aa-56261100afd9_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) operating activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_san_DividendsPaidOnOrdinarySharesClassifiedAsFinancingActivities_label_en" xlink:label="lab_san_DividendsPaidOnOrdinarySharesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Dividends Paid On Ordinary Shares, Classified As Financing Activities</link:label>
    <link:label id="lab_san_DividendsPaidOnOrdinarySharesClassifiedAsFinancingActivities_documentation_en" xlink:label="lab_san_DividendsPaidOnOrdinarySharesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Dividends Paid On Ordinary Shares, Classified As Financing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_DividendsPaidOnOrdinarySharesClassifiedAsFinancingActivities" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_DividendsPaidOnOrdinarySharesClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_DividendsPaidOnOrdinarySharesClassifiedAsFinancingActivities" xlink:to="lab_san_DividendsPaidOnOrdinarySharesClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_san_AdjustmentsForIncreaseDecreaseInOtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss_label_en" xlink:label="lab_san_AdjustmentsForIncreaseDecreaseInOtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Increase (Decrease) In Other Financial Liabilities At Fair Value Through Profit Or Loss</link:label>
    <link:label id="lab_san_AdjustmentsForIncreaseDecreaseInOtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss_documentation_en" xlink:label="lab_san_AdjustmentsForIncreaseDecreaseInOtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Increase (Decrease) In Other Financial Liabilities At Fair Value Through Profit Or Loss</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_AdjustmentsForIncreaseDecreaseInOtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_AdjustmentsForIncreaseDecreaseInOtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_AdjustmentsForIncreaseDecreaseInOtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss" xlink:to="lab_san_AdjustmentsForIncreaseDecreaseInOtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss" xlink:type="arc" order="1"/>
    <link:label id="lab_san_ProfitLossFromContinuingOperationsBeforeTax_7fe9f4d2-307a-4494-9d23-154ae65ea4f5_totalLabel_en" xlink:label="lab_san_ProfitLossFromContinuingOperationsBeforeTax" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Profit (Loss) From Continuing Operations, Before Tax</link:label>
    <link:label id="lab_san_ProfitLossFromContinuingOperationsBeforeTax_label_en" xlink:label="lab_san_ProfitLossFromContinuingOperationsBeforeTax" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Profit (Loss) From Continuing Operations, Before Tax</link:label>
    <link:label id="lab_san_ProfitLossFromContinuingOperationsBeforeTax_documentation_en" xlink:label="lab_san_ProfitLossFromContinuingOperationsBeforeTax" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Profit (Loss) From Continuing Operations, Before Tax</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_ProfitLossFromContinuingOperationsBeforeTax" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_ProfitLossFromContinuingOperationsBeforeTax"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_ProfitLossFromContinuingOperationsBeforeTax" xlink:to="lab_san_ProfitLossFromContinuingOperationsBeforeTax" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_f4a203c8-625b-40dd-a54d-c26d290dd318_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_san_OtherCashEquivalentsReverseRepurchaseAgreements_label_en" xlink:label="lab_san_OtherCashEquivalentsReverseRepurchaseAgreements" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other Cash Equivalents, Reverse Repurchase Agreements</link:label>
    <link:label id="lab_san_OtherCashEquivalentsReverseRepurchaseAgreements_documentation_en" xlink:label="lab_san_OtherCashEquivalentsReverseRepurchaseAgreements" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other Cash Equivalents, Reverse Repurchase Agreements</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_OtherCashEquivalentsReverseRepurchaseAgreements" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_OtherCashEquivalentsReverseRepurchaseAgreements"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_OtherCashEquivalentsReverseRepurchaseAgreements" xlink:to="lab_san_OtherCashEquivalentsReverseRepurchaseAgreements" xlink:type="arc" order="1"/>
    <link:label id="lab_san_AdjustmentsToReconcileProfitLossToNetCashFlowFromUsedInOperatingActivitiesBeforeAdjustmentsForChangesInOperatingAssetsAndLiabilities_label_en" xlink:label="lab_san_AdjustmentsToReconcileProfitLossToNetCashFlowFromUsedInOperatingActivitiesBeforeAdjustmentsForChangesInOperatingAssetsAndLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments To Reconcile Profit (Loss) To Net Cash Flow From (Used In) Operating Activities Before Adjustments For Changes In Operating Assets And Liabilities</link:label>
    <link:label id="lab_san_AdjustmentsToReconcileProfitLossToNetCashFlowFromUsedInOperatingActivitiesBeforeAdjustmentsForChangesInOperatingAssetsAndLiabilities_documentation_en" xlink:label="lab_san_AdjustmentsToReconcileProfitLossToNetCashFlowFromUsedInOperatingActivitiesBeforeAdjustmentsForChangesInOperatingAssetsAndLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments To Reconcile Profit (Loss) To Net Cash Flow From (Used In) Operating Activities Before Adjustments For Changes In Operating Assets And Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_AdjustmentsToReconcileProfitLossToNetCashFlowFromUsedInOperatingActivitiesBeforeAdjustmentsForChangesInOperatingAssetsAndLiabilities" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_AdjustmentsToReconcileProfitLossToNetCashFlowFromUsedInOperatingActivitiesBeforeAdjustmentsForChangesInOperatingAssetsAndLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_AdjustmentsToReconcileProfitLossToNetCashFlowFromUsedInOperatingActivitiesBeforeAdjustmentsForChangesInOperatingAssetsAndLiabilities" xlink:to="lab_san_AdjustmentsToReconcileProfitLossToNetCashFlowFromUsedInOperatingActivitiesBeforeAdjustmentsForChangesInOperatingAssetsAndLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_san_CashFlowsFromUsedInDisposalOfNonControllingInterests_label_en" xlink:label="lab_san_CashFlowsFromUsedInDisposalOfNonControllingInterests" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash Flows From (Used In) Disposal Of Non-Controlling Interests</link:label>
    <link:label id="lab_san_CashFlowsFromUsedInDisposalOfNonControllingInterests_documentation_en" xlink:label="lab_san_CashFlowsFromUsedInDisposalOfNonControllingInterests" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash Flows From (Used In) Disposal Of Non-Controlling Interests</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_CashFlowsFromUsedInDisposalOfNonControllingInterests" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_CashFlowsFromUsedInDisposalOfNonControllingInterests"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_CashFlowsFromUsedInDisposalOfNonControllingInterests" xlink:to="lab_san_CashFlowsFromUsedInDisposalOfNonControllingInterests" xlink:type="arc" order="1"/>
    <link:label id="lab_san_MacroHedgeOfInterestRateRiskAsset_label_en" xlink:label="lab_san_MacroHedgeOfInterestRateRiskAsset" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Macro Hedge Of Interest Rate Risk, Asset</link:label>
    <link:label id="lab_san_MacroHedgeOfInterestRateRiskAsset_documentation_en" xlink:label="lab_san_MacroHedgeOfInterestRateRiskAsset" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Macro Hedge Of Interest Rate Risk, Asset</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_MacroHedgeOfInterestRateRiskAsset" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_MacroHedgeOfInterestRateRiskAsset"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_MacroHedgeOfInterestRateRiskAsset" xlink:to="lab_san_MacroHedgeOfInterestRateRiskAsset" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_840fbcd3-2ff6-4dcf-9209-ffd24c280bcc_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_san_OtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss_label_en" xlink:label="lab_san_OtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other Financial Liabilities At Fair Value Through Profit Or Loss</link:label>
    <link:label id="lab_san_OtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss_documentation_en" xlink:label="lab_san_OtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other Financial Liabilities At Fair Value Through Profit Or Loss</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_OtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_OtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_OtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss" xlink:to="lab_san_OtherFinancialLiabilitiesAtFairValueThroughProfitOrLoss" xlink:type="arc" order="1"/>
    <link:label id="lab_san_ProvisionsForOtherLiabilitiesAndCharges_label_en" xlink:label="lab_san_ProvisionsForOtherLiabilitiesAndCharges" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Provisions For Other Liabilities And Charges</link:label>
    <link:label id="lab_san_ProvisionsForOtherLiabilitiesAndCharges_documentation_en" xlink:label="lab_san_ProvisionsForOtherLiabilitiesAndCharges" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Provisions For Other Liabilities And Charges</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_ProvisionsForOtherLiabilitiesAndCharges" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_ProvisionsForOtherLiabilitiesAndCharges"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_ProvisionsForOtherLiabilitiesAndCharges" xlink:to="lab_san_ProvisionsForOtherLiabilitiesAndCharges" xlink:type="arc" order="1"/>
    <link:label id="lab_san_DisposalOfNonControllingInterests_label_en" xlink:label="lab_san_DisposalOfNonControllingInterests" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Disposal Of Non-Controlling Interests</link:label>
    <link:label id="lab_san_DisposalOfNonControllingInterests_documentation_en" xlink:label="lab_san_DisposalOfNonControllingInterests" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Disposal Of Non-Controlling Interests</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_DisposalOfNonControllingInterests" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_DisposalOfNonControllingInterests"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_DisposalOfNonControllingInterests" xlink:to="lab_san_DisposalOfNonControllingInterests" xlink:type="arc" order="1"/>
    <link:label id="lab_san_OtherFinancialAssetsAtAmortisedCost_label_en" xlink:label="lab_san_OtherFinancialAssetsAtAmortisedCost" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other Financial Assets At Amortised Cost</link:label>
    <link:label id="lab_san_OtherFinancialAssetsAtAmortisedCost_documentation_en" xlink:label="lab_san_OtherFinancialAssetsAtAmortisedCost" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other Financial Assets At Amortised Cost</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_OtherFinancialAssetsAtAmortisedCost" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_OtherFinancialAssetsAtAmortisedCost"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_OtherFinancialAssetsAtAmortisedCost" xlink:to="lab_san_OtherFinancialAssetsAtAmortisedCost" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_FeeAndCommissionIncomeExpense_92e507f1-3d83-4855-a142-bed08eaf8d74_totalLabel_en" xlink:label="lab_ifrs-full_FeeAndCommissionIncomeExpense" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Fee and commission income (expense)</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FeeAndCommissionIncomeExpense" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FeeAndCommissionIncomeExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_FeeAndCommissionIncomeExpense" xlink:to="lab_ifrs-full_FeeAndCommissionIncomeExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_RevenueAndOperatingIncome_d5bc1c11-292b-4094-80e5-7ac25c9e4408_totalLabel_en" xlink:label="lab_ifrs-full_RevenueAndOperatingIncome" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Revenue and other operating income</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RevenueAndOperatingIncome" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RevenueAndOperatingIncome"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RevenueAndOperatingIncome" xlink:to="lab_ifrs-full_RevenueAndOperatingIncome" xlink:type="arc" order="1"/>
    <link:label id="lab_san_AdjustmentsForIncreaseDecreaseInDepositsFromBanksAndCustomers_label_en" xlink:label="lab_san_AdjustmentsForIncreaseDecreaseInDepositsFromBanksAndCustomers" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Increase (Decrease) In Deposits From Banks And Customers</link:label>
    <link:label id="lab_san_AdjustmentsForIncreaseDecreaseInDepositsFromBanksAndCustomers_documentation_en" xlink:label="lab_san_AdjustmentsForIncreaseDecreaseInDepositsFromBanksAndCustomers" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Increase (Decrease) In Deposits From Banks And Customers</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_AdjustmentsForIncreaseDecreaseInDepositsFromBanksAndCustomers" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_AdjustmentsForIncreaseDecreaseInDepositsFromBanksAndCustomers"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_AdjustmentsForIncreaseDecreaseInDepositsFromBanksAndCustomers" xlink:to="lab_san_AdjustmentsForIncreaseDecreaseInDepositsFromBanksAndCustomers" xlink:type="arc" order="1"/>
    <link:label id="lab_san_DividendsRecognisedOnPreferenceSharesAndOtherEquityInstruments_label_en" xlink:label="lab_san_DividendsRecognisedOnPreferenceSharesAndOtherEquityInstruments" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Dividends Recognised On Preference Shares And Other Equity Instruments</link:label>
    <link:label id="lab_san_DividendsRecognisedOnPreferenceSharesAndOtherEquityInstruments_documentation_en" xlink:label="lab_san_DividendsRecognisedOnPreferenceSharesAndOtherEquityInstruments" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Dividends Recognised On Preference Shares And Other Equity Instruments</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_DividendsRecognisedOnPreferenceSharesAndOtherEquityInstruments" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_DividendsRecognisedOnPreferenceSharesAndOtherEquityInstruments"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_DividendsRecognisedOnPreferenceSharesAndOtherEquityInstruments" xlink:to="lab_san_DividendsRecognisedOnPreferenceSharesAndOtherEquityInstruments" xlink:type="arc" order="1"/>
    <link:label id="lab_san_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers_label_en" xlink:label="lab_san_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease (Increase) In Loans And Advances To Banks And Customers</link:label>
    <link:label id="lab_san_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers_documentation_en" xlink:label="lab_san_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease (Increase) In Loans And Advances To Banks And Customers</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" xlink:to="lab_san_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" xlink:type="arc" order="1"/>
    <link:label id="lab_san_OtherCashEquivalentsLoansAndAdvancesToBanksNonTrading_label_en" xlink:label="lab_san_OtherCashEquivalentsLoansAndAdvancesToBanksNonTrading" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other Cash Equivalents, Loans And Advances To Banks - Non Trading</link:label>
    <link:label id="lab_san_OtherCashEquivalentsLoansAndAdvancesToBanksNonTrading_documentation_en" xlink:label="lab_san_OtherCashEquivalentsLoansAndAdvancesToBanksNonTrading" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other Cash Equivalents, Loans And Advances To Banks - Non Trading</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_OtherCashEquivalentsLoansAndAdvancesToBanksNonTrading" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_OtherCashEquivalentsLoansAndAdvancesToBanksNonTrading"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_OtherCashEquivalentsLoansAndAdvancesToBanksNonTrading" xlink:to="lab_san_OtherCashEquivalentsLoansAndAdvancesToBanksNonTrading" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_5acb9f6d-94c1-4666-8390-9c6b36752e70_totalLabel_en" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase (decrease) in cash and cash equivalents before effect of exchange rate changes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTax_8b38b402-5940-46a0-b2e5-4a934bb3dd46_totalLabel_en" xlink:label="lab_ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTax" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Gains (losses) on financial assets measured at fair value through other comprehensive income, net of tax</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTax" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTax"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTax" xlink:to="lab_ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTax" xlink:type="arc" order="1"/>
    <link:label id="lab_san_RepurchaseOfOtherEquityInstruments_label_en" xlink:label="lab_san_RepurchaseOfOtherEquityInstruments" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Repurchase Of Other Equity Instruments</link:label>
    <link:label id="lab_san_RepurchaseOfOtherEquityInstruments_documentation_en" xlink:label="lab_san_RepurchaseOfOtherEquityInstruments" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Repurchase Of Other Equity Instruments</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_RepurchaseOfOtherEquityInstruments" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_RepurchaseOfOtherEquityInstruments"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_RepurchaseOfOtherEquityInstruments" xlink:to="lab_san_RepurchaseOfOtherEquityInstruments" xlink:type="arc" order="1"/>
    <link:label id="lab_san_OtherFinancialAssetsAtFairValueThroughProfitOrLoss_label_en" xlink:label="lab_san_OtherFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other Financial Assets At Fair Value Through Profit Or Loss</link:label>
    <link:label id="lab_san_OtherFinancialAssetsAtFairValueThroughProfitOrLoss_documentation_en" xlink:label="lab_san_OtherFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other Financial Assets At Fair Value Through Profit Or Loss</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_san_OtherFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:href="PTCQB104N23FMNK2RZ28-2023-12-31.xsd#san_OtherFinancialAssetsAtFairValueThroughProfitOrLoss"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_san_OtherFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:to="lab_san_OtherFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
